html {
    height: 100%;
    font-size: 62.5%; /* stylelint-disable-line declaration-property-unit-whitelist */
}

body {
    margin: 0;
    background-color: #fff;
    touch-action: manipulation;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    font-family: "Roboto", sans-serif;
}

* {
    box-sizing: border-box;
}
a {
    text-decoration: none;
}

.header {
    background-color: #227494;
    height: 5rem;
    color: #fff;
    font-size: 2rem;
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
    text-align: center;
}

.header-content {
    max-width: 90%;
    width: 90%;
    display: flex;
    justify-content: space-between;
}

.header-title {
    display: flex;
    align-items: center;
}

.header-actions {
    display: flex;
    width: 28rem;
}

.header-btn {
    height: 5rem;
    font-size: 1.6rem;
    padding: 1rem 0;
    display: flex;
    align-items: center;
    width: 14rem;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    opacity: 0.5;
    font-weight: 800;
    border-bottom: 0.3rem solid transparent;
}

.header-btn:hover {
    opacity: 1;
}

.header-btn.success {
    background-color: #6eae4b;
}

.header-btn.success.active {
    border-bottom: 0.3rem solid #67dd2d;
    opacity: 1;
}

.header-btn.failed {
    background-color: #b5665c;
}

.header-btn.failed.active {
    border-bottom: 0.3rem solid #ff695a;
    opacity: 1;
}

.main-container {
    width: 100%;
    min-height: calc(100vh - 5rem);
    display: flex;
    justify-content: center;
}

.main-content {
    color: #787e80;
    background-color: #f5f7f7;
    max-width: 90%;
    width: 90%;
    height: 100%;
    display: flex;
    justify-content: center;
}

.diff-body {
    width: 100%;
}

.page-name {
    color: #fff;
    font-size: 2rem;
    justify-content: flex-start;
    align-items: center;
    display: flex;
    padding: 1rem;
    background-color: #6f7c81;
}

.component-name {
    color: #030303;
    font-size: 1.6rem;
    background-color: #c6d3d9;
    justify-content: flex-start;
    align-items: center;
    display: flex;
    padding: 0.2rem 1rem;
    width: 100%;
}

.theme-name {
    font-size: 1.8rem;
    justify-content: center;
    align-items: center;
    display: flex;
    padding: 0.5rem 1rem;
    width: 100%;
    background-color: #e3e9ec;
}

.item {
    display: flex;
}

.viewport-name {
    transform: rotate(180deg);
    background-color: #f3f4f6;
    width: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 1.6rem;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    padding: 0.5rem 0;
}

.item-columns {
    display: flex;
    width: calc(100% - 3rem);
    justify-content: space-between;
}


.item-columns-header {
    display: flex;
    justify-content: space-between;
    background-color: #444d51;
    color: #fff;
    font-size: 1.5rem;
    padding: 0;
    height: auto;
}

.item-column {
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.item-column-label {
    text-align: center;
}

.image {
    max-width: 100%;
    cursor: pointer;
}

.image.placeholder {
    opacity: 0.2;
    cursor: default;
}

.hidden {
    display: none;
}
